/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  kismetresponse.h
 *
 *    Description:  Parsing Kismet data
 *
 *        Created:  2009-07-04 13:40:57 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#ifndef KISMETRESPONSE_H
#define KISMETRESPONSE_H

#include <QByteArray>
#include <QVariant>

class kismetResponse : public QByteArray
{
public:
        kismetResponse(QByteArray arr);
        QVariant read(bool *spaceDelim = 0, int ix = -1);
private:
        int lastRead,delimIx;
};

#endif // KISMETRESPONSE_H
