/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  mwtoolbar.cpp
 *
 *    Description:  Main window toolbar
 *
 *        Created:  2007-07-05 16:14:10 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */
#include "mwtoolbar.h"

#include <QIcon>
#include <QAction>

QKismetMWToolBar::QKismetMWToolBar()
{
        stop	= addAction(QIcon(":/img/network-disconnect.png"),"Disconnect");
	stop->setStatusTip("Disconnect from server");

        start	= addAction(QIcon(":/img/network-connect.png"),"Connect");
	start->setStatusTip("Connect to server");

        setIconSize(QSize(22,22));
	setWindowTitle("Main Toolbar");
}

QKismetPanelsToolBar::QKismetPanelsToolBar()
{
	//alerts	= addAction(QIcon("img/emblem-important.png"),"Alerts");
	//alerts->setStatusTip("Toggle alerts window");
        setWindowTitle("Windows Toolbar");
        setIconSize(QSize(22,22));
}
