/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  about.h
 * 
 *    Description:  About Window
 * 
 *        Created:  2007-07-30 15:05:28 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  ABOUT_INC
#define  ABOUT_INC

#include <QDialog>
#include <QTabWidget>
#include <QTextEdit>
#include <QLabel>
#include <QVBoxLayout>
#include <QPushButton>
#include <QFile>
#include <QTextStream>
#include <QHBoxLayout>

class QKismetAboutDialog : public QDialog
{
	Q_OBJECT
public:
		QKismetAboutDialog();
private:
		QVBoxLayout layout;
		QTabWidget tab;
		QPushButton but;
		QHBoxLayout bottom;
		QTextEdit lic;
		QLabel info;

		QString loadFile(QString name);
};

#endif   /* ----- #ifndef ABOUT_INC  ----- */

