/*
 * =====================================================================================
 *
 *       Filename:  settings.cpp
 *
 *    Description:  
 *
 *        Version:  1.0
 *        Created:  2007-09-05 15:24:56 CEST
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:   (), 
 *        Company:  
 *
 * =====================================================================================
 */

#include <QSettings>

#include "settings.h"


QList<int> orlist(int c)
{
	QList<int> l;
	for(int i = 0;i < c;i++)
		l << i;
	return l;
}

QKismetSettings::QKismetSettings()
{
	QSettings settings("qkismet", "qkismet");
	


	settings.beginGroup("ProtoOptions");
	PAlert		= settings.value("alert", QVariant(QStringList() <<"sec"<<"bssid"<< "text")).toStringList();
	PNetwork	= settings.value("network", QVariant(QStringList() << "bssid"<<"type"<<"ssid")).toStringList();
	PClient		= settings.value("client", QVariant(QStringList() << "bssid"<<"mac"<<"type")).toStringList();
	settings.endGroup();

	settings.beginGroup("MainWindow");
	MainWindow.point	= settings.value("pos").toPoint();
	MainWindow.size		= settings.value("size").toSize();
	settings.endGroup();

	settings.beginGroup("NetworkSettings");
	Network.cas		= settings.value("cas",true).toBool();
	Network.port		= settings.value("port",2501).toInt();
	Network.host		= settings.value("host","127.0.0.1").toString();
	settings.endGroup();

}

QKismetSettings::~QKismetSettings()
{
	QSettings settings("qkismet", "qkismet");


	settings.beginGroup("MainWindow");
	settings.setValue("pos",MainWindow.point);
	settings.setValue("size",MainWindow.size);
	settings.endGroup();
	
	settings.beginGroup("NetworkSettings");
	settings.setValue("cas",Network.cas);
	settings.setValue("port",Network.port);
	settings.setValue("host",Network.host);
	settings.endGroup();
}

void QKismetSettings::SaveNetwork()
{
	QSettings settings("qkismet", "qkismet");
	settings.beginGroup("ProtoOptions");
	settings.setValue("alert", PAlert);
	settings.setValue("network", PNetwork);
	settings.setValue("client", PClient);
	settings.endGroup();
}
